hashtable.h File Reference
`#include <vector>`
`#include <iterator>`
`#include <algorithm>`
`#include "hash_fun.h"`

Go to the source code of this file.

## Classes

struct | __gnu_cxx::_Hashtable_node< _Val >
struct | __gnu_cxx::_Hashtable_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >
struct | __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >
class | __gnu_cxx::hashtable< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >

## Namespaces

namespace | __gnu_cxx
| This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

## Enumerations

enum | { __gnu_cxx::_S_num_primes = 28 }

## Functions

unsigned long | __gnu_cxx::__stl_next_prime (unsigned long __n)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>
bool | __gnu_cxx::operator== (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>
bool | __gnu_cxx::operator!= (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val, class _Key, class _HF, class _Extract, class _EqKey, class _All>
void | __gnu_cxx::swap (hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht1, hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht2)

## Variables

static const unsigned long | __gnu_cxx::__stl_prime_list [_S_num_primes]